petsc-3.7.1 2016-05-15
Report Typos and Errors

# PCSORGetSymmetric

Gets the form the SOR preconditioner is using; backward, or forward relaxation. The local variants perform SOR on each processor. By default forward relaxation is used.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCSORGetSymmetric(PC pc,MatSORType *flag)

Logically Collective on PC Many br

### Input Parameter

pc -the preconditioner context Many br

### Output Parameter

flag -one of the following Many br

        SOR_FORWARD_SWEEP
        SOR_BACKWARD_SWEEP
        SOR_SYMMETRIC_SWEEP
        SOR_LOCAL_FORWARD_SWEEP
        SOR_LOCAL_BACKWARD_SWEEP
        SOR_LOCAL_SYMMETRIC_SWEEP

Many br

### Options Database Keys

| -pc_sor_symmetric | - Activates symmetric version Many br
| -pc_sor_backward | - Activates backward version Many br
| -pc_sor_local_forward | - Activates local forward version Many br
| -pc_sor_local_symmetric | - Activates local symmetric version Many br
| -pc_sor_local_backward | - Activates local backward version Many br

### Notes

To use the Eisenstat trick with SSOR, employ the PCEISENSTAT preconditioner, Many brwhich can be chosen with the option Many br
-pc_type eisenstat -Activates Eisenstat trick Many br

Many br

### Keywords

PC, SOR, SSOR, set, relaxation, sweep, forward, backward, symmetric

### See Also

PCEisenstatSetOmega(), PCSORSetIterations(), PCSORSetOmega(), PCSORSetSymmetric()

Level:intermediate
Location:src/ksp/pc/impls/sor/sor.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages